View Issue Details

IDProjectCategoryView StatusLast Update
0015648ScribusGeneralpublic2019-06-04 20:55
ReporterColin Whyles Assigned Tojghali  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMac ProOSmacosOS VersionMojave 10.14.5 b
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015648: Crash when loading document containing footnotes
DescriptionI apologise if this is known, but I haven't found out how to search open issues.

If a footnote is inserted into a Scribus document, all appears well until the document is saved and re-opened. With a simple document (attached Footnote-test.sla) the content of the footnote is not saved.

With a more complex document that only has a single footnote on p.28 of 32, Scribus is unable to open the document and crashes with Signal 0000011. It is then necessary to force-quite Scribus.
Tagsfootnotes
PatchNo

Relationships

related to 0015650 closedjghali Footnote frame incorrectly sized when re-opening document 

Activities

Colin Whyles

2019-04-12 07:48

reporter  

Footnote-test.sla (16,382 bytes)
12R Vol 10 Iss 1 Spring-Summer 2019 broken.sla (389,608 bytes)

jghali

2019-04-12 08:24

administrator   ~0046118

At this stage, footnotes / endnotes are experimental features. So you can indeed encounter all sort of bugs when trying to use those.

jghali

2019-04-12 10:34

administrator   ~0046119

I just fixed the crash which occurs when opening your *Spring-Summer 2019 broken.sla document.

Colin Whyles

2019-04-12 14:29

reporter   ~0046120

Well done. Is there a patch available? Not that I need it immediately. I've created the footnote by hand.

jghali

2019-04-13 12:03

administrator   ~0046123

From time to time, new snapshots of current development code can be found there:
https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.5.svn/

jghali

2019-04-13 12:05

administrator   ~0046124

I'm going to duplicate this issue in order to process the other one in a separate issue

Ernesto Puzzo

2019-05-09 17:47

reporter   ~0046198

Ernesto Maria Puzzo - Sindone di Torino - Studi sul Telo Parte 2^

Ernesto Maria Puzzo - Sindone di Torino - Studi sul Telo Parte 2^.sla (488,644 bytes)

Issue History

Date Modified Username Field Change
2019-04-12 07:48 Colin Whyles New Issue
2019-04-12 07:48 Colin Whyles File Added: Footnote-test.sla
2019-04-12 07:48 Colin Whyles File Added: 12R Vol 10 Iss 1 Spring-Summer 2019 broken.sla
2019-04-12 08:24 jghali Note Added: 0046118
2019-04-12 10:34 jghali Note Added: 0046119
2019-04-12 14:29 Colin Whyles Note Added: 0046120
2019-04-13 12:03 jghali Note Added: 0046123
2019-04-13 12:05 jghali Summary Problems with footnotes => Crash when loading document containing footnotes
2019-04-13 12:05 jghali Note Added: 0046124
2019-04-13 12:06 jghali Issue cloned: 0015650
2019-04-13 12:06 jghali Relationship added related to 0015650
2019-04-13 12:12 jghali Assigned To => jghali
2019-04-13 12:12 jghali Status new => resolved
2019-04-13 12:12 jghali Resolution open => fixed
2019-04-13 12:12 jghali Fixed in Version => 1.5.5.svn
2019-05-09 17:47 Ernesto Puzzo File Added: Ernesto Maria Puzzo - Sindone di Torino - Studi sul Telo Parte 2^.sla
2019-05-09 17:47 Ernesto Puzzo Note Added: 0046198
2019-05-09 17:52 JLuc Tag Attached: footnotes
2019-06-04 20:55 cbradney Status resolved => closed